Bug 120906 - grubby does not like grub on SATA RAID-1
grubby does not like grub on SATA RAID-1
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-04-15 00:03 EDT by Boris Mironov
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 16:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Boris Mironov 2004-04-15 00:03:26 EDT
Description of problem:

I'm trying to update kernel on my system that runs on SATA RAID-1 
array. Because of this I use 'full syntax' (device name in front of 
filename) in grub.conf:

title Fedora Core (2.4.22-1.2174.nptl) (hd1)
    root (hd1,0)
    kernel (hd1,0)/boot/vmlinuz-2.4.22-1.2174.nptl ro root=/dev/md0 
    initrd (hd1,0)/boot/initrd-2.4.22-1.2174.nptl.raid1.img

My initrd is result of:

mkinitrd \
    --preload=scsi_mod \
    --preload=sd_mod \
    --preload=libata \
    --preload=sata_via \
    --preload=ide-scsi \
    --preload=raid1 \
    --preload=jbd \
    --preload=ext3 \
    ${Image} ${Kernel}

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Install Fedora Core 1 on SATA RAID-1
2. Use 'full device name' syntax in grub.conf (eg., '(hd1,0)' in 
front of filename
3. Try to update kernel
Actual results:
Up2date new loads kernel and installs all the files, but fails to 
update grub.conf

Expected results:
Up2date should be able to update grub.conf. I agree it will 
miss 'full device name' syntax and I will simply add missing parts to 
grub.conf later.

Additional info:

I would like to see some sort of solution for RAID-1 and SATA right 
out of the box. So, I do not need to run mkinitrd myself and confuse 
some of the programs.

I agree that it makes initrd almost 2 times bigger for no reason for 
most of installations. But what is additional 100k in RAM in these 

Best regards,
Comment 1 Jeremy Katz 2004-08-04 15:44:38 EDT
Should be fixed in 4.0.2
Comment 2 Matthew Miller 2006-07-11 13:23:19 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 3 John Thacker 2006-10-25 16:32:21 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Should be fixed, though.

Note You need to log in before you can comment on or make changes to this bug.